<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:tools="http://schemas.android.com/tools"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:android="http://schemas.android.com/apk/res/android" >

    <data>
        <variable
            name="isSolution"
            type="Boolean" />
        <variable
            name="dialog"
            type="app.snappik.pushme.ui.dialog.CellsDialogFragment" />
        <variable
            name="layoutManager"
            type="androidx.recyclerview.widget.GridLayoutManager" />
        <variable
            name="dialogCellsAdapter"
            type="app.snappik.pushme.ui.dialog.CellsDialogFragment.DialogCellsAdaptor" />
        <import type="android.view.View"/>
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@drawable/d_round"
        android:padding="16dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/constraintLayout5"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="8dp"
            android:layout_marginTop="8dp"
            android:layout_marginEnd="8dp"
            android:orientation="horizontal"
            android:padding="0dp"
            android:visibility="@{isSolution ? View.VISIBLE : View.GONE}"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/textView6">

            <TextView
                android:id="@+id/textView"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:fontFamily="@font/orbitron_medium"
                android:padding="0dp"
                android:text="@string/build_amount"
                android:textColor="@color/design_default_color_secondary_variant"
                android:textSize="18sp"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <TextView
                android:id="@+id/textView15"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="8dp"
                android:fontFamily="@font/orbitron_medium"
                android:minEms="2"
                android:padding="0dp"
                android:text="@{Integer.toString(seekBar.progress)}"
                android:textColor="@color/design_default_color_secondary_variant"
                android:textSize="18sp"
                app:layout_constraintStart_toEndOf="@+id/textView"
                app:layout_constraintTop_toTopOf="parent" />
        </androidx.constraintlayout.widget.ConstraintLayout>

        <TextView
            android:id="@+id/textView6"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:fontFamily="@font/orbitron_medium"
            android:padding="0dp"
            android:text="@string/build_select"
            android:textColor="@color/design_default_color_secondary_variant"
            android:textSize="24sp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/recyclerView2"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:layout_marginTop="8dp"
            android:layout_marginBottom="8dp"
            android:background="@drawable/store_round"
            android:padding="8dp"
            app:adapter="@{dialogCellsAdapter}"
            app:layoutManager="@{layoutManager}"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintDimensionRatio="H,11:4"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/seekBar" />

        <SeekBar
            android:id="@+id/seekBar"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginTop="8dp"
            android:max="10"
            android:min="1"
            android:onProgressChanged="@{dialog.onValueChanged}"
            android:padding="0dp"
            android:progress="1"
            android:visibility="@{isSolution ? View.VISIBLE : View.GONE}"
            app:layout_constraintEnd_toEndOf="@+id/recyclerView2"
            app:layout_constraintStart_toStartOf="@+id/recyclerView2"
            app:layout_constraintTop_toBottomOf="@+id/constraintLayout5" />

    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>